org.apache.xmlbeans

## Interface InterfaceExtension

All Known Implementing Classes:
  InterfaceExtensionImpl

    public interface InterfaceExtension

### Nested Class Summary

Nested Classes
`static interface` `InterfaceExtension.MethodSignature`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getInterface()` Get the fully qualified interface name.
`InterfaceExtension.MethodSignature[]` `getMethods()` Returns an array of MethodSignature declared in the interface class.
`String` `getStaticHandler()` Get the fully qualified static handler class name.

### Method Detail

#### getInterface

    String getInterface()

Get the fully qualified interface name.

#### getStaticHandler

    String getStaticHandler()

Get the fully qualified static handler class name.

#### getMethods

    InterfaceExtension.MethodSignature[] getMethods()

Returns an array of MethodSignature declared in the interface class. Possibly null if there is an error in the configuration.